#
# spec file for package yast2-country (Version 2.13.52)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgssapi libicu libidn libmudflap libnscd libstdc++ libtool libusb libxcrypt libxml2 liby2util libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-perl-bindings yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-country
Version:        2.13.52
Release:        0.9
License:        GNU General Public License (GPL)
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-country-2.13.52.tar.bz2
prefix:		/usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-perl-bindings yast2-testsuite suse-macros autoconf automake libtool gettext-devel
Requires:       yast2-perl-bindings
#Requires:	yast2-trans-stats
# common proposal (rich_text_raw_title)
Requires:       yast2-installation >= 2.13.139
# XVersion.ycp
Requires:       yast2 >= 2.13.70
Provides:       yast2-config-environment
Provides:       yast2-config-keyboard
Provides:       yast2-config-language
Provides:       yast2-config-timezone
Obsoletes:      yast2-config-environment
Obsoletes:      yast2-config-keyboard
Obsoletes:      yast2-config-language
Obsoletes:      yast2-config-timezone
Provides:       yast2-db-country yast2-db-keyboard yast2-db-timezone
Obsoletes:      yast2-db-country yast2-db-keyboard yast2-db-timezone
Provides:       yast2-trans-inst-keyboard
Obsoletes:      yast2-trans-inst-keyboard
Provides:       yast2-trans-inst-language
Obsoletes:      yast2-trans-inst-language
Provides:       yast2-trans-inst-timezone
Obsoletes:      yast2-trans-inst-timezone
Provides:       yast2-trans-inst-environment
Obsoletes:      yast2-trans-inst-environment
Provides:       y2d_inst-keyboard
Obsoletes:      y2d_inst-keyboard
Provides:       y2d_inst-timezone
Obsoletes:      y2d_inst-timezone
Provides:       y2t_inst-language
Obsoletes:      y2t_inst-language
Provides:       y2t_inst-environment
Obsoletes:      y2t_inst-environment
Summary:        YaST2 - Country Settings (Language, Keyboard, and Timezone)

%description
Country specific data and configuration modules (language, keyboard,
timezone) for yast2.



Authors:
--------
    Thomas Fehr <fehr@suse.de>
    Jiri Suchomel <jsuchome@suse.cz>

%prep
%setup -n yast2-country-2.13.52

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
%ifarch s390 s390x
rm -f $RPM_BUILD_ROOT@configdir@/keyboard.y2cc
rm -f $RPM_BUILD_ROOT%{prefix}/share/applications/YaST2/keyboard.desktop
%endif

%clean
rm -rf "$RPM_BUILD_ROOT"
# common

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/data/languages
%doc %{prefix}/share/doc/packages/yast2-country
/usr/share/YaST2/modules/*
/usr/share/YaST2/clients/*.ycp
/usr/share/YaST2/data/*.ycp
/usr/share/YaST2/data/languages/*.ycp
/usr/share/YaST2/include/keyboard/
/usr/share/YaST2/include/timezone/
/usr/share/YaST2/scrconf/*.scr
/usr/share/YaST2/schema/autoyast/rnc/*.rnc
/usr/lib/YaST2/servers_non_y2/*
%ifnarch s390 s390x
%{prefix}/share/applications/YaST2/keyboard.desktop
%endif
%{prefix}/share/applications/YaST2/yast-language.desktop
%{prefix}/share/applications/YaST2/timezone.desktop

%changelog
* Mon Jan 07 2008 - pearly.zhao@oracle.com
- Port to EL5.
* Mon Apr 02 2007 - jsuchome@suse.cz
- Arabic added again (#258795)
- 2.13.52
* Mon Mar 12 2007 - jsuchome@suse.cz
- adapt language changes also in firstboot stage (#252780)
- 2.13.51
* Wed Jan 31 2007 - jsuchome@suse.cz
- added support for new languages:
  af_ZA, xh_ZA, zu_ZA, gu_IN, ta_IN, mr_IN (F301933, #237367)
- 2.13.50
* Thu Jan 04 2007 - jsuchome@suse.cz
- added missing Asian timezones (#231305)
- 2.13.49
* Wed Dec 13 2006 - jsuchome@suse.cz
- added missing time zone for Belarus (#228042)
- 2.13.48
* Mon Dec 11 2006 - jsuchome@suse.cz
- add runlevel 4 to serial line config in inittab (#223983)
- 2.13.47
* Tue Dec 05 2006 - jsuchome@suse.cz
- correct fix: sync hardware to system clock during installation (#221758)
- 2.13.46
* Mon Dec 04 2006 - jsuchome@suse.cz
- store the information that language selection was skipped (#223258)
- do not save hardware clock state to system clock on start (#221758)
- 2.13.45
* Fri Nov 10 2006 - jsuchome@suse.cz
- added RNC schema files for Autoyast profile validation (#219416)
- 2.13.44
* Thu Nov 09 2006 - jsuchome@suse.cz
- better fix: do not propose local time for 64bit Mac (#216059)
- 2.13.43
* Wed Nov 08 2006 - jsuchome@suse.cz
- change keyboard layout after multiple choices (#218655)
- 2.13.42
* Mon Nov 06 2006 - jsuchome@suse.cz
- adapt time zone dialog for ncurses mode (#215345)
- 2.13.41
* Mon Oct 30 2006 - jsuchome@suse.cz
- disable "Adapt checkboxes" when proposed keybaord layout/timezone is
  the same as current one (#211869)
- do not propose local time for 64bit Mac (#216059)
- removed unnecessary part of help text (#203701)
- check for language support when language was preselected (#215281)
- added i386 Mac keyboard layouts to database (#213294)
- reverted new language support from 2.13.39 (not ready)
- 2.13.40
* Mon Sep 25 2006 - jsuchome@suse.cz
- added support for Arabic
- 2.13.39
* Fri Sep 22 2006 - jsuchome@suse.cz
- check for language support defined at installation medium (F301238)
- 2.13.38
* Mon Sep 18 2006 - jsuchome@suse.cz
- added support for Estonian
- 2.13.37
* Thu Sep 14 2006 - jsuchome@suse.cz
- load only description for current language in constructor
- better check for changes of possible language packages
- 2.13.36
* Wed Sep 13 2006 - jsuchome@suse.cz
- make the map with languages descriptions public available (#204791)
- 2.13.35
* Fri Sep 08 2006 - jsuchome@suse.cz
- moved languages descriptions from one big file to single file
  for each language (F301031)
- 2.13.34
* Wed Sep 06 2006 - jsuchome@suse.cz
- fixed help text in language selection (#203807)
- fixed help text for time adjustment (#203810)
- unified naming scheme for keyboard layouts (#203812)
- changed "Canada" layout name to "Canadian (Multilingual)" (#158951)
- removed obsolete file lang2iso.ycp
- 2.13.33
* Mon Aug 14 2006 - jsuchome@suse.cz
- fixed path of setxkbmap (X11 version change)
- 2.13.32
* Wed Aug 09 2006 - jsrain@suse.cz
- fixed path of fvwm stuff (X11 version change)
- 2.13.31
* Mon Aug 07 2006 - jsuchome@suse.cz
- better Locale proposal for Overview tab
- 2.13.30
* Fri Aug 04 2006 - mvidner@suse.cz
- Removed a Perl search path that is added elsewhere already
  and here just breaks compilation in some cases (#197099).
- 2.13.29
* Thu Jul 27 2006 - jsuchome@suse.cz
- added common Overview proposal for language and keyboard
- fixed time zone for Vietnamese
- 2.13.28
* Tue Jul 25 2006 - jsuchome@suse.cz
- added support for Vietnamese language
- 2.13.27
* Mon Jul 10 2006 - jsuchome@suse.cz
- added support for Catalan language (#190072)
- mention daylight savings time in the help text (#162948)
- 2.13.26
* Mon Jun 26 2006 - jsuchome@suse.cz
- added some missing time zones (#173019)
- fixed language name in autoyast (#180633)
- changed the date format displayed in time zone dialog to
  YYYY-MM-DD (#62312)
- 2.13.25
* Mon Jun 12 2006 - jsuchome@suse.cz
- added Canadian (Multilingual) layout (#158951)
- 2.13.24
* Fri Apr 21 2006 - jsuchome@suse.cz
- do not offer non-existent keyboard map (#168276)
- 2.13.23
* Tue Apr 11 2006 - jsuchome@suse.cz
- Khmer keyboard map added (#164381)
- 2.13.22
* Fri Apr 07 2006 - jsuchome@suse.cz
- US/Eastern is the default time zone for en_US (#163018)
- 2.13.21
* Mon Apr 03 2006 - jsuchome@suse.cz
- fixed setting of console font (#153190)
- fixed Australian/NSW time zone (#162820)
- 2.13.20
* Mon Mar 20 2006 - jsuchome@suse.cz
- fixed setting of hwclock in autoinstallaton (#159461)
- 2.13.19
* Mon Mar 20 2006 - jsuchome@suse.cz
- get the country for given timezone (#152414)
- 2.13.18
* Wed Mar 15 2006 - jsuchome@suse.cz
- do not call loadkeys on s390 (#158152, #144265)
- 2.13.17
* Fri Mar 03 2006 - jsuchome@suse.cz
- correctly set the keymap after it was set in linuxrc (#154717)
- 2.13.16
* Mon Feb 27 2006 - jsuchome@suse.cz
- reduced BuildRequires
- 2.13.15
* Mon Feb 27 2006 - jsuchome@suse.cz
- fixed XLibAPI (passing parameters)
- 2.13.14
* Sat Feb 25 2006 - olh@suse.de
- fix typo in last patch, causing two getty on console (#153555)
* Tue Feb 07 2006 - jsuchome@suse.cz
- fix the wrongly applied patch
- 2.13.13
* Mon Feb 06 2006 - jsuchome@suse.cz
- included patch from Olaf Hering for inittab modification (#41623)
- 2.13.12
* Mon Jan 23 2006 - jsuchome@suse.cz
- correct check if X keyboard configuration is needed (#144394)
- 2.13.11
* Wed Jan 04 2006 - jsuchome@suse.cz
- fixed setting keyboard during update (CheckKeyboardDuringUpdate)
- 2.13.10
* Tue Jan 03 2006 - jsuchome@suse.cz
- added support for Hindi and Khmer languages
- retranslate language dialog only after `next or if it is the first
  dialog in installation sequence
- show list of primary languages translated to current primary
  language if we're not in the first dialog of installation (F #300408)
- use new libsax API for X11 Keyboard configuration
  (XLibAPI wrapper added)
* Fri Dec 16 2005 - jsuchome@suse.cz
- updated to recent changes in yast2-bootloader: using GfxMenu module
- 2.13.9
* Tue Nov 29 2005 - jsuchome@suse.cz
- adapted to correct tointeger behaviour (#115560), added tests
- 2.13.8
* Mon Nov 07 2005 - jsuchome@suse.cz
- adapted to standard autoyast API (#131745)
- install language-dependent packages during autoinstallation
- 2.13.7
* Wed Nov 02 2005 - jsuchome@suse.cz
- support for secondary languages in command-line mode (#131746)
- function for checking and setting keyboard layout during update (#71069)
- 2.13.6
* Thu Oct 20 2005 - jsuchome@suse.cz
- added support for Croatian (#115341)
- preserve the list of secondary languages during update (#71935)
- 2.13.5
* Fri Oct 07 2005 - jsuchome@suse.cz
- timezone: added Russia region and rest of russian time zones (#120618)
- 2.13.4
* Wed Oct 05 2005 - jsuchome@suse.cz
- code cleanup: split the clients for one tasks only, use include files,
  create autoinstallation clients (#104372)
- 2.13.3
* Tue Oct 04 2005 - jsuchome@suse.cz
- "dutch" keyboard layout should be really dutch - nl.map.gz (#119639)
- 2.13.2
* Mon Oct 03 2005 - jsuchome@suse.cz
- added a possibility to skip initial language selection
  (originaly part of installation.ycp)
- 2.13.1
* Fri Sep 30 2005 - jsuchome@suse.cz
- do not ignore the keyboard layout set in linuxrc (#118571)
- 2.13.0
* Tue Sep 13 2005 - jsuchome@suse.cz
- new languages supported: Serbian, Bosnian (#116724)
- 2.12.17
* Mon Sep 12 2005 - jsuchome@suse.cz
- fixed testsuite causing package not to build
- 2.12.16
* Fri Sep 09 2005 - jsuchome@suse.cz
- fixed loadkeys command for some keyboards (#116143)
- set the keyboard in constructor if language was preselected (#113664)
- 2.12.15
* Thu Aug 25 2005 - jsuchome@suse.cz
- fixed time initialization during installation (#112900)
- 2.12.14
* Mon Aug 22 2005 - jsuchome@suse.cz
- earlier check for possible local time during installation (#104868)
- 2.12.13
* Wed Aug 17 2005 - jsuchome@suse.cz
- better solution for CJK languages during installation (#102958)
- fixed the icon names (#105157, #105163)
- 2.12.12
* Mon Aug 15 2005 - jsuchome@suse.cz
- added support for Finnish language
- 2.12.11
* Fri Aug 12 2005 - jsuchome@suse.cz
- check for CJK language during installation (#102958)
- 2.12.10
* Thu Aug 11 2005 - jsuchome@suse.cz
- fixed texts and shortcuts (check_ycp)
- 2.12.9
* Thu Jul 28 2005 - jsuchome@suse.cz
- updated desktop files
- 2.12.8
* Wed Jul 27 2005 - jsuchome@suse.cz
- fixed path to xkbctrl (#98838)
- run sax2 for configuring keyboard in graphical mode (feature 100115)
- introduced Langage::Modified () function
- help text for locale feature
* Mon Jul 25 2005 - jsuchome@suse.cz
- allow setting of locale (feature 100175)
- do not show primary language in the list of secondary languages
- 2.12.7
* Mon Jul 25 2005 - jsuchome@suse.cz
- fixed name for Welsh ("Cymraeg", #97958)
* Thu Jul 14 2005 - jsuchome@suse.cz
- enable usage of inst_timezone in installation sequence
- added client for different language proposal (language_simple_proposal)
- proposal for selecting locale (feature 100175)
- 2.12.6
* Mon Jul 11 2005 - jsuchome@suse.cz
- modified UI for timezone and initial langauge dialogs
- timezone: used specialized `Date and `Time widgets in Qt
- some help text fixes (check_ycp)
- 2.12.5
* Fri Jul 08 2005 - jsuchome@suse.cz
- text fixes from rwalter
- 2.12.4
* Wed Jun 22 2005 - jsuchome@suse.cz
- use Linuxrc module for accessing /etc/install.inf
* Tue Jun 14 2005 - jsuchome@suse.cz
- added writing progress dialog (#73044)
- added support for installing language packages with CLI "set" command
- 2.12.3
* Fri Apr 29 2005 - jsuchome@suse.cz
- added support for Bulgarian font on the console (#63083)
- 2.12.2
* Mon Apr 18 2005 - jsuchome@suse.cz
- updated for new interface of ProductFeatures.ycp
- 2.12.1
* Tue Mar 29 2005 - jsuchome@suse.cz
- updated testsuite
- 2.12.0
* Tue Mar 22 2005 - jsuchome@suse.cz
- removed `immediate option from keyboard SelectionBox (#73610)
- language: retranslate before opening first dialog (#73070)
- time config: show correct time after manual change (#70971)
* Tue Mar 22 2005 - jsuchome@suse.cz
- fixed Taiwan name (#74193)
* Mon Mar 14 2005 - jsuchome@suse.cz
- sort list of secondary languages accoring to locale (#71767)
* Mon Mar 07 2005 - jsuchome@suse.cz
- require yast2-trans-stats, so we can new about translation status
* Wed Mar 02 2005 - jsuchome@suse.cz
- added pt_PT (portugese) again
* Wed Mar 02 2005 - jsuchome@suse.cz
- show correct time when switching time zones (#66458, #56944)
* Wed Mar 02 2005 - jsuchome@suse.cz
- merged texts from proofreading
- set "basic" as default value for XkbVariant (#66546)
* Mon Feb 28 2005 - jsuchome@suse.cz
- changed welcome text (#66617)
* Fri Feb 25 2005 - jsuchome@suse.cz
- fixed help text for (un)installation of language packages (#66599)
- warning for incomplete translation shown after Accept (#66544)
- fixed translation of 'romanian' (#66574)
* Thu Feb 24 2005 - jsuchome@suse.cz
- do not re-sort list of languages (#66287)
* Tue Feb 22 2005 - jsuchome@suse.cz
- added new language: Punjabi
- do not exclude primary language from package installation (#65959)
- 2.11.15
* Mon Feb 21 2005 - jsuchome@suse.cz
- use client with a data for languages (workaround for #50815)
- check disk space before installing new packages (#50745)
- check for completeness of translations (feature #100197)
- 2.11.14
* Thu Feb 10 2005 - jsuchome@suse.cz
- show region in Timezone adaptation proposal
- fix saving INSTALLED_LANGUAGES on running system
- 2.11.13
* Wed Feb 09 2005 - jsuchome@suse.cz
- installation proposal always mentions primary language (#50620)
* Tue Feb 08 2005 - jsuchome@suse.cz
- proposal text fixes (capitalization)
* Mon Feb 07 2005 - jsuchome@suse.cz
- added support for Ukrainian
- merged texts from proofreading
- 2.11.12
* Fri Feb 04 2005 - jsuchome@suse.cz
- language: drop "Install packages" checkbox (#50344)
- translate all langauge names (new languages_db textdomain)
- add list of additional languages to the installation summary
- 2.11.11
* Thu Feb 03 2005 - jsuchome@suse.cz
- fixed keyboard & timezone adaptation from the 1st screen (#50426)
- console: do not touch UI in constructor
- show product name in first dialog during installation
- 2.11.10
* Mon Jan 31 2005 - jsuchome@suse.cz
- fixed adapting timezone/keyboard to new langauge
- remove unnecessary message
- do not use locale format of date during installation
- fixed support for croatian keyboard map
- fixed call of .xf86config agent
- 2.11.9
* Mon Jan 24 2005 - nashif@suse.de
- Adapted arguments to new installation workflow  interface
- 2.11.8
* Thu Jan 20 2005 - jsuchome@suse.cz
- timezone: new SetTimezoneForLanguage function
- Asia/Tel_Aviv is "Tel Aviv" in english, not "Tel_Aviv"
- language: added 'Adapt Keyboard' and 'Adapt Timezone' checkboxes
- language dependent packages are installed on demand (checkbox)
- 2.11.7
* Mon Jan 17 2005 - jsuchome@suse.cz
- use INSTALLED_LANGUAGES in /etc/sysconfig/language to save list of
  languages
- added support for lithuanian keyboard
* Tue Jan 11 2005 - jsuchome@suse.cz
- do not save language settings from update proposal (#46708)
* Fri Dec 17 2004 - jsuchome@suse.cz
- fixed yast-language.desktop file
- added help text for multiple languages
- removed remaining lookup's and select's
- 2.11.6
* Wed Dec 15 2004 - jsuchome@suse.cz
- command line support
- 2.11.5
* Wed Nov 03 2004 - jsuchome@suse.cz
- removed yast2-installation and yast2-storage from needforbuild
- 2.11.4
* Wed Nov 03 2004 - jsuchome@suse.cz
- do not show duplicate australian timezones (#47472)
* Wed Nov 03 2004 - jsuchome@suse.cz
- do not call loadkeys on iseries (#39025)
* Wed Oct 27 2004 - jsuchome@suse.cz
- adapted for new Mode:: interface
- 2.11.3
* Tue Oct 26 2004 - jsuchome@suse.cz
- timezone: show time formated by locale settings (#34633)
- set correct keyboard map for czech-qwerty (#46829)
* Mon Oct 11 2004 - jsrain@suse.cz
- adapted to new Arch:: interface
- 2.11.2
* Wed Oct 06 2004 - fehr@suse.de
- change country names (#46909)
* Tue Oct 05 2004 - fehr@suse.de
- add support for icelandic keyboard (#46823)
* Wed Sep 29 2004 - fehr@suse.de
- fix keymap loading sequence for unicode (#44223)
- 2.10.15
* Mon Sep 27 2004 - fehr@suse.de
- fix wrong time displayed when switching local time -> UTC (#46130)
- 2.10.14
* Thu Sep 23 2004 - mfabian@suse.de
- fix entry for Hebrew
- use correct strings for zh_TW and zh_HK
- 2.10.13
* Wed Sep 22 2004 - fehr@suse.de
- place calls to SetDesktopIcon where they work (#45714)
- 2.10.12
* Tue Sep 14 2004 - fehr@suse.de
- add "Traditional Chinese HongKong" to language list (#45239)
- 2.10.11
* Wed Sep 08 2004 - fehr@suse.de
- Change desktop files (#44824)
- 2.10.10
* Tue Aug 31 2004 - arvin@suse.de
- fixed path for fvwmrc (bug #44467)
* Tue Aug 24 2004 - fehr@suse.de
- Add Hebrew to language and timezone
- 2.10.8
* Thu Aug 19 2004 - fehr@suse.de
- fix keyboard handling for 64 bit Macs (#43955)
- 2.10.7
* Wed Aug 18 2004 - nashif@suse.de
- Bug fixed: If you select change timezone, the accept button will
  start directly the installation.
- 2.10.6
* Wed Aug 18 2004 - fehr@suse.de
- Add Bengali/Bangladesh to language, country, timezone etc.
- 2.10.5
* Thu Aug 12 2004 - nashif@suse.de
- Adapted timezone client for firstboot
- Dont write yast.inf in test mode
- 2.10.4
* Tue Aug 10 2004 - fehr@suse.de
- patch proofread texts back into ycp
- 2.10.3
* Tue Aug 03 2004 - fehr@suse.de
- fix problem when changing timezone/time/hwclock settings (#41944)
- 2.10.2
* Thu Jul 29 2004 - fehr@suse.de
- refuse installation when time is in the past (#42458)
* Thu Jul 15 2004 - fehr@suse.de
- merged SuSE-Linux-9_1-Branch
- 2.10.1
* Tue Jul 13 2004 - fehr@suse.de
- call Booloader::UpdateGfxMenu() if languge is changed (#35835)
* Mon Jul 12 2004 - fehr@suse.de
- fix handling of hvsi0 in inittab (#42801)
* Mon Jun 07 2004 - fehr@suse.de
- removed duplicated entry Turkey from timezone_raw.ycp (#41609)
* Mon May 24 2004 - fehr@suse.de
- add entry for polish language
- fix bug with weird time setting when hwclock set to localtime (#41080)
- 2.9.24
* Tue May 18 2004 - fehr@suse.de
- fix problem when changing timezone and system time in one step
  (#40502)
- check for valid timezone in timezone selection (#40794)
- 2.9.23
* Mon May 03 2004 - fehr@suse.de
- added Japan to country.ycp (#39717)
- 2.9.22
* Mon Apr 26 2004 - fehr@suse.de
- change handling of /etc/inittab to fix #39381
- 2.9.21
* Mon Apr 19 2004 - fehr@suse.de
- patch proofreaded text back into ycp
* Tue Apr 13 2004 - fehr@suse.de
- call SuSEconfig also when expert settings changed (#38715)
- 2.9.20
* Fri Apr 02 2004 - arvin@suse.de
- finally changed license to GPL for good
* Tue Mar 30 2004 - fehr@suse.de
- use iso09.16 as turkish console font (#37247)
- 2.9.18
* Mon Mar 29 2004 - fehr@suse.de
- add call to UI::SetLanguage
- 2.9.17
* Thu Mar 25 2004 - fehr@suse.de
- do not return silently if Mode::serial_console is true (#36932)
* Mon Mar 22 2004 - fehr@suse.de
- add new languages from Karl Eichwalder
- 2.9.16
* Mon Mar 22 2004 - fehr@suse.de
- Fix problem with untranslated timezone strings (#36484)
- Set language sooner so that keyboard question is already in
  new language (#36687)
- 2.9.15
* Sun Mar 21 2004 - nashif@suse.de
- Use settings from product feature module if available
* Sat Mar 20 2004 - adrian@suse.de
- rename language.desktop to yast-language.desktop
  (fixes a name clash with a KDE CC modul)
* Wed Mar 17 2004 - fehr@suse.de
- inform Encoding module about Utf8 setting
- reset correctly to initial keyboard setting (#35789)
- 2.9.14
* Tue Mar 16 2004 - fehr@suse.de
- adapt testsuite
- 2.9.13
* Mon Mar 15 2004 - fehr@suse.de
- set language value in Encoding module (needed to fix bug #34559)
- 2.9.12
* Wed Mar 10 2004 - sh@suse.de
- do not check for existance of widget with id(`abort) any more
- 2.9.11
* Wed Mar 10 2004 - sh@suse.de
- 2.9.10
- Migration to new wizard
* Mon Mar 08 2004 - fehr@suse.de
- add calls to Wizard::SetDesktopIcon(...);
- 2.9.9
* Mon Mar 01 2004 - kkaempf@suse.de
- add more type information
- 2.9.8
* Mon Mar 01 2004 - fehr@suse.de
- patch proofreaded texts back into ycp
- make sorting of keyboard entries locale dependent again
- 2.9.7
* Thu Feb 26 2004 - nashif@suse.de
- Changed proposal file name proposal_* to *_proposal
* Thu Feb 26 2004 - fehr@suse.de
- fix crash while sorting keyboard lists (#35062)
* Tue Feb 24 2004 - fehr@suse.de
- fix wrong default for usage of UTF8
- 2.9.6
* Mon Feb 23 2004 - fehr@suse.de
- remove some warnings by new interpreter
- 2.9.5
* Fri Feb 20 2004 - fehr@suse.de
- changes to adapt to new sort function semantics
- 2.9.4
* Sat Feb 07 2004 - msvec@suse.cz
- again enabled the language testsuite
- dropped config files
- 2.9.3
* Mon Feb 02 2004 - fehr@suse.de
- default enconding is now UTF-8
- version 2.9.2
* Fri Jan 30 2004 - fehr@suse.de
- some additional changes for new interpreter
- version 2.9.1
* Fri Jan 23 2004 - fehr@suse.de
- first version suitable for new interpreter
- version 2.9.0
* Wed Jan 14 2004 - fehr@suse.de
- fix name of swedish keyboard map (#33944)
* Mon Dec 15 2003 - jsrain@suse.de
- Console::encoding handling moved to Encoding.ycp in yast2 package
* Thu Oct 09 2003 - fehr@suse.de
- fix description texts for timezone module (#32165)
* Mon Sep 29 2003 - fehr@suse.de
- translate some untranslated texts (#31237)
* Thu Sep 25 2003 - fehr@suse.de
- use ja_JP.eucJP as default encoding for Japanese (#31737)
* Tue Sep 23 2003 - fehr@suse.de
- disabled languages Bosnian and Russion on request of ke (#30351)
- 2.8.19
* Fri Sep 19 2003 - fehr@suse.de
- Initialize Console::encoding in the running system to the
  output of "locale -k charmap" (#31351)
- finally fix time display problem (#31263)
- 2.8.18
* Thu Sep 18 2003 - gs@suse.de
- Console::Restore(): read RC_LANG (bug #31206)
- fix wrong switch from UTC/local time (#31263)
- 2.8.17
* Wed Sep 17 2003 - fehr@suse.de
- fix saving numlock state (#30915)
- 2.8.16
* Sun Sep 14 2003 - adrian@suse.de
- make it working in kcontrol
* Thu Sep 11 2003 - fehr@suse.de
- fix bug writing wrong console font (#30514)
- use another console font for lithuanian (#30172)
* Wed Sep 10 2003 - fehr@suse.de
- fix bug with wrong default language (#30351)
- fix endless loop in language dialog (#30353)
- 2.8.14
* Mon Sep 08 2003 - fehr@suse.de
- fix bug with default values for /etc/sysconfig/keyboard (#30030)
- 2.8.13
* Thu Sep 04 2003 - fehr@suse.de
- fix bug with wrong default timezone (#29968)
- forget temporary changes when aborting timzone dialog (#29974)
- fix saving changed language details in running system (#30054)
- do not use use utf-8 as default for locale any more
- 2.8.12
* Mon Sep 01 2003 - arvin@suse.de
- use Popup::ConfirmAbort
- use utf-8 as default for locale
- 2.8.11
* Wed Aug 27 2003 - fehr@suse.de
- make sorting of keyboard entries locale dependent (#21856)
* Mon Aug 25 2003 - fehr@suse.de
- fix wrong locale for non-utf8 case (#29318)
- fix wrong keyboard in update dialog in running system (#29319)
- 2.8.10
* Tue Aug 19 2003 - fehr@suse.de
- remove include of obsolete common_functions.ycp
- 2.8.9
* Thu Aug 14 2003 - fehr@suse.de
- add german keyboard entry for nodeadkey (#29071)
- add button for selection of UTF-8 encoding to language details
- use ascii test for language display in textmode
* Fri Aug 08 2003 - fehr@suse.de
- patch proofread texts back into sources
- version 2.8.8
* Thu Aug 07 2003 - fehr@suse.de
- Fix wrong function call in inst_timezone.ycp (#28551)
* Tue Aug 05 2003 - fehr@suse.de
- add changes by Gabi for better UTF handling on ncurses
- version 2.8.7
* Mon Aug 04 2003 - fehr@suse.de
- fix wrong return code handling of Read(.target.size, ) in
  Language.ycp
- version 2.8.6
* Sat Aug 02 2003 - arvin@suse.de
- added desktop files
* Fri Aug 01 2003 - fehr@suse.de
- add expert dialog to language dialog (#27570)
- set console into unicode mode after loadiny the mayboadr map
- version 2.8.5
* Mon Jul 28 2003 - fehr@suse.de
- changed consolefonts back to previouly used fonts
- version 2.8.4
* Thu Jul 24 2003 - fehr@suse.de
- remove MapName from XF86Keyboard.ycp
- version 2.8.3
* Tue Jul 15 2003 - fehr@suse.de
- really change timezone only when pressing next not when clicking
  into scroll list (#26173)
- fix lang entries for Chinese in language.ycp
* Thu Jul 10 2003 - fehr@suse.de
- add two spanish keyboard layouts for latin america (#25474)
* Wed Jul 09 2003 - fehr@suse.de
- fix bug caused by leading zeros in time/date fields (#26171)
- make sorting of timezone entries locale dependent (#23850)
- remove Mode::language, now handled in Laguage module (#27115)
- change the default locales to UTF-8 (#27142)
- version 2.8.2
* Tue Jun 10 2003 - fehr@suse.de
- Use new Modules Label and Popup wherever possible
* Thu Jun 05 2003 - fehr@suse.de
- make it build under new rules (unpackaged files)
- 2.8.1
* Thu Apr 24 2003 - fehr@suse.de
- use alpha instead of axp in the raw database
* Thu Apr 10 2003 - fehr@suse.de
- some changes necessary becuase of changed Sax2 kbd handling
* Tue Mar 18 2003 - kkaempf@suse.de
- Use locale el_GR.ISO-8859-7, consolefont lat7a-14.psfu for
  greek (#25567)
- 2.7.14
* Mon Mar 17 2003 - fehr@suse.de
- add timezone entry for Uruguay (#25473)
- 2.7.13
* Wed Mar 12 2003 - fehr@suse.de
- fix possible unwanted abort dialog after langauge change (#25147)
- 2.7.12
* Mon Mar 10 2003 - kkaempf@suse.de
- fix console_encoding (#24689)
- 2.7.11
* Fri Mar 07 2003 - fehr@suse.de
- activate russian language
- version 2.7.10
* Thu Mar 06 2003 - fehr@suse.de
- fix bug that lead to broken timezone entries (#24711)
* Tue Mar 04 2003 - fehr@suse.de
- fix writing of keytable into yast.inf
* Mon Mar 03 2003 - fehr@suse.de
- patch proofreaded text back into ycp
- update languages data
- version 2.7.9
* Mon Feb 24 2003 - fehr@suse.de
- undo change explict focus change for #23941 on Thu Feb 20 (#23848)
- version 2.7.8
* Thu Feb 20 2003 - fehr@suse.de
- use sentence style capitalisation in y2cc files (#23848)
- set focus to timezone list after selection of region in ncurses
  ui (#23941)
* Wed Feb 19 2003 - fehr@suse.de
- add comments to texts for translators (#23774)
- fix wrong timezone proposal (#23818)
* Tue Feb 18 2003 - fehr@suse.de
- make the keyboard expert module better understandable (#23759)
* Wed Feb 12 2003 - fehr@suse.de
- allow language setting with two char locale (#19431)
- write intermediary yast.inf with lang and keyboard settings (#16263)
- make proposal suggest local time for machines with win (#23575)
- version 2.7.7
* Tue Feb 11 2003 - fehr@suse.de
- removed language testsuite, second time in two weeks it caused
  a failed build of the package due to completely unrelated changes
  in Mode module
- version 2.7.6
* Fri Feb 07 2003 - jsuchome@suse.de
- inst_language: added check for aborting when Mode::repair is true
* Fri Feb 07 2003 - kkaempf@suse.de
- drop fixed encoding in consolefonts table, glibc can tell
  this value now (#23348)
* Thu Feb 06 2003 - nashif@suse.de
- adapted timezone, mouse and keyboard for use with autoyast
* Mon Feb 03 2003 - fehr@suse.de
- pot file now in source tarball
- set focus to list in keyboard and timezone module (#23349, #23356)
* Wed Jan 29 2003 - fehr@suse.de
- patch proofreaded texts back into ycp
- version 2.7.4
* Tue Jan 28 2003 - fehr@suse.de
- change testsuite output to match again
- 2.7.3
* Wed Jan 15 2003 - fehr@suse.de
- add dialog with expert settings to keyboard dialog
- do not automatically adapt keyboard settings when changing
  language in installation system, add popup instead (#20807)
- ask if keyboard setting should be adapted to changed language
  when changing language proposal during installation
- sort keyboard selection after translated texts (#20488)
- add french canadian keyboard to keyboard list (#21167)
- 2.7.2
* Wed Dec 04 2002 - fehr@suse.de
- add dialog to set time/date
- timezone selection is now hierarchical
- 2.7.1
* Wed Nov 20 2002 - fehr@suse.de
- merged up to version 2.6.35 of 8.1 branch
- 2.7.0
* Tue Sep 10 2002 - arvin@suse.de
- for serial console set default baud rate to 9600
* Fri Sep 06 2002 - fehr@suse.de
- add some Provides/Obsoletes
- version 2.6.24
* Thu Sep 05 2002 - fehr@suse.de
- fix missing retranslation after langauge change (#18924)
- version 2.6.23
* Mon Sep 02 2002 - fehr@suse.de
- do not call xkbset when installing over ssh or serial console (#18578)
- use option `opt(`immediate) to keyboard selection box
- version 2.6.22
* Wed Aug 28 2002 - fehr@suse.de
- add new keyboard map "Brazil with US accents (#18385)
- version 2.6.21
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Mon Aug 26 2002 - fehr@suse.de
- add timezone for Israel (#17669)
- remove testsuite again
- remove noarch entry in spec file so that #ifnarch works
- 2.6.20
* Thu Aug 22 2002 - msvec@suse.cz
- again enabled the language testsuite
- please teach Thomas Fehr what are testsuites good for
- fixed Philippines spelling (#18097)
- 2.6.19
* Fri Aug 16 2002 - fehr@suse.de
- set default for hardware clock to local time for Mac (#17778)
- add Simplified Chines to language selection
- version 2.6.18
* Thu Aug 15 2002 - fehr@suse.de
- fix bug ignoring the linuxrc keyboard setting (#15373)
- version 2.6.17
* Thu Aug 15 2002 - kkaempf@suse.de
- Default timezone for "pt_BR" is "Brazil/East" (#17757)
* Wed Aug 14 2002 - fehr@suse.de
- fix to use DEFAULT_LANGUAG if RC_LANG is empty
  (needed after update from YaST1 installed systems)
* Wed Aug 14 2002 - kkaempf@suse.de
- filter ^S0 line from inittab when switching to serial console
- it's "Portuguese" (#17687)
* Tue Aug 13 2002 - fehr@suse.de
- fix text in timezone proposal (#14101)
- fix help text in language dialog (#14585)
- version 2.6.14
- add scr files again that I removed inadvertently yesterday
* Mon Aug 12 2002 - arvin@suse.de
- fixed file list
* Mon Aug 12 2002 - fehr@suse.de
- remove keyboard config for s390 (#17630)
- add Bosnian to languages
- version 2.6.12
* Tue Aug 06 2002 - fehr@suse.de
- removed access to variable DEFAULT_LANGUAGE
  (RC_LANG is unsed instead)
- removed testsuite from language to make the package build again
  (and if anyone adds that crap again, I will personally kill him)
- version 2.6.11
* Mon Aug 05 2002 - fehr@suse.de
- write language and model to YAST_KEYBOARD in /etc/sysconfig/keyboard
- version 2.6.10
* Mon Aug 05 2002 - arvin@suse.de
- adaption for new /etc/install.inf agent
* Mon Aug 05 2002 - kkaempf@suse.de
- drop /etc/sysconfig/UTC, use /etc/sysconfig/HWCLOCK to allow
  for all three values (unchange,utc,localtime).
* Fri Aug 02 2002 - fehr@suse.de
- fix typo "X11SetLaguange" --> "X11SetLanguage"
* Thu Aug 01 2002 - fehr@suse.de
- add keyboard entries for x86_64 (#17334)
* Wed Jul 31 2002 - kkaempf@suse.de
- /etc/sysconfig/UTC is boolean, not hwclock parameter.
- call /sbin/hwclock instead of /sbin/hwclock_wrapper.
* Mon Jul 29 2002 - fehr@suse.de
- rename GMT to UTC in /etc/sysconfig/clock (#17265)
* Fri Jul 26 2002 - kkaempf@suse.de
- honor 'Console' from /etc/install.inf properly (#17233)
* Tue Jul 23 2002 - fehr@suse.de
- add eval() around assignment of locale to string
- fix wrong data srtructure in keyboard_raw.ycp
* Tue Jul 23 2002 - fehr@suse.de
- change it so that the _db.ycp files are not needed any more
- version 2.6.5
* Tue Jul 23 2002 - fehr@suse.de
- put the timzeone descriptions into separate timezone_db.pot
* Tue Jul 23 2002 - fehr@suse.de
- regenerated potfile with new entries from {timezone,keyboard}_raw.ycp
* Mon Jul 22 2002 - msvec@suse.cz
- merged yast2-db-country
- again added the language testsuite
- 2.6.4
* Mon Jul 15 2002 - fehr@suse.de
- fix namespace lookup
- version 2.6.3
* Fri Jul 12 2002 - kkaempf@suse.de
- fix agent definitions to use proper namespace (#16776)
* Tue Jul 09 2002 - mvidner@suse.cz
- Provide/Obsolete yast2-db-{country,keyboard,timezone}
* Fri Jun 28 2002 - fehr@suse.de
- version 2.6.1
- minor fixes (typo, superfluous textdomain) in keyboard subdir
- adapt to new naming scheme for potfiles
* Mon Jun 24 2002 - kkaempf@suse.de
- Initial version, merge console, keyboard, language, and timezone.
